GET /orgs/{org}/projectsV2/{project_number}/views/{view_number}/items

github.com:github-rest-api

Summary: List items for an organization project view
Operation ID: projects/list-view-items-for-org
Auth: bearer_token
Description

List items in an organization project with the saved view's filter applied.

Parameters (7)

after (string, query, optional)

A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results after this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

before (string, query, optional)

A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results before this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

fields (?, query, optional)

Limit results to specific fields, by their IDs. If not specified, the title field will be returned. Example: `fields[]=123&fields[]=456&fields[]=789` or `fields=123,456,789`

org (string, path, required)

The organization name. The name is not case sensitive.

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

project_number (integer, path, required)

The project's number.

view_number (integer, path, required)

The number that identifies the project view.

No probe data for this endpoint yet.